Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Interface OrthoPairSetFilter

All Known Implementing Classes:
  OrthoPairSetFilter.AcceptAll, OrthoPairSetFilter.AllPairsInCollection, OrthoPairSetFilter.And, OrthoPairSetFilter.ByMinIdentity, OrthoPairSetFilter.ByTaxon, OrthoPairSetFilter.Not, OrthoPairSetFilter.Or, OrthoPairSetFilter.SomePairsInCollection, OrthoPairSetFilter.Xor

    public interface OrthoPairSetFilter

Nested Class Summary
`static class` | `OrthoPairSetFilter.AcceptAll`
`static class` | `OrthoPairSetFilter.AllPairsInCollection` all OrthoPairs must meet the requirement defined by filter.
`static class` | `OrthoPairSetFilter.And`
`static class` | `OrthoPairSetFilter.ByMinIdentity`
`static class` | `OrthoPairSetFilter.ByTaxon`
`static class` | `OrthoPairSetFilter.Not`
`static class` | `OrthoPairSetFilter.Or`
`static class` | `OrthoPairSetFilter.SomePairsInCollection` at least one OrthoPair must meet the requirement defined by filter.
`static class` | `OrthoPairSetFilter.Xor`

Method Summary
`boolean` | `accept(OrthoPairSet group)`

Method Detail

### accept

    boolean accept(OrthoPairSet group)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD